com.dlsc.flexgantt.swing.layer.system

## Class DropShadowLayer

- java.lang.Object
- - com.dlsc.flexgantt.swing.layer.AbstractLayer
  - - com.dlsc.flexgantt.swing.layer.system.AbstractSystemLayer
    - - com.dlsc.flexgantt.swing.layer.system.DropShadowLayer

-     public class DropShadowLayer
      extends AbstractSystemLayer

  A layer implementation for the sole purpose of drawing a drop shadow when tree nodes get expanded or collapsed.
  Since:
    2.0
  Author:
    Dirk Lemmermann

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `alpha, changeSupport, ganttChart, layerContainer, PROPERTY_ALPHA, PROPERTY_VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropShadowLayer(LayerContainer lc)` Constructs a new layer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isVisible()` Determines whether the layer is currently visible or not.
    `protected void` | `paintLayer(Graphics g)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `addPropertyChangeListener, getAlpha, getDateline, getEventline, getGanttChart, getHeight, getLayerContainer, getLayerPolicyProvider, getModel, getName, getStartRow, getTimeAt, getTimeline, getTimeLocation, getTimeSpanUsed, getToolTipText, getTreeTable, getTreeTablePolicyProvider, getWidth, removePropertyChangeListener, repaint, repaint, repaint, setAlpha, setVisible, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DropShadowLayer

          public DropShadowLayer(LayerContainer lc)

      Constructs a new layer.
      Parameters:
        `lc` - the parent layer container
      Since:
        2.0

  - ### Method Detail

    - #### isVisible

          public boolean isVisible()

      Description copied from class: `AbstractLayer`
      Determines whether the layer is currently visible or not.
      Overrides:
        `isVisible` in class `AbstractLayer`
      Returns:
        TRUE if the layer is currently visible
      See Also:
        `AbstractLayer.setVisible(boolean)`

    - #### paintLayer

          protected void paintLayer(Graphics g)

      Overrides:
        `paintLayer` in class `AbstractLayer`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.